import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'exists',
  pure: true
})
export class ExistsPipe implements PipeTransform {

  transform(value: unknown, key?): unknown {
    return value || value === 0 ? (key ? value[key] : value) : '';
  }

}
